/*
; read a byte from I2C and parallel send it to the FPGA
: fast version
	ldi		tmp2, 8			; loop counter

main_bit_loop:
	scl_high

	sbic	cfg_pin,sda		; copy SDA to Din
	din_high
	sbis	cfg_pin,sda
	din_low

.if f_CPU_MHz>8 MHz
	nop
.endif

	scl_low					; falling edge generates new bit
	cclk_high
	cclk_low

.if f_CPU_MHz>6
	nop
.endif

.if f_CPU_MHz>7
	nop
.endif

.if f_CPU_MHz>8
	nop
.endif

.if f_CPU_MHz>9
	nop
.endif

	dec		tmp2
	brne	main_bit_loop

; write ACK to EEPROM

	sda_low					; write ACK, more to read
	delay
	scl_high
	delay
	scl_low
	delay
	sda_high
*/
